OracleAppJMSDestination (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppJMSDestination interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppJMSDestination

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource

    public interface OracleAppJMSDestination

extends J2EEResource

OracleAppJMSDestination

Naming Rules:
  0="domain,name" 1="server,name"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDestinationDomain()`
`java.lang.String` | `getDestinationName()`
`OracleAppJMSServer` | `getJmsServer()`
`java.lang.String` | `getLocation()`
`boolean` | `hasDestinationDomain()`
`boolean` | `hasDestinationName()`
`boolean` | `hasJmsServer()`
`boolean` | `hasLocation()`
`void` | `setDestinationDomain(java.lang.String domain)`
`void` | `setDestinationName(java.lang.String destinationName)`
`void` | `setJmsServer(OracleAppJMSServer jmsServer)`
`void` | `setLocation(java.lang.String location)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getJmsServer

    OracleAppJMSServer getJmsServer()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJmsServer

    void setJmsServer(OracleAppJMSServer jmsServer)

### hasJmsServer

    boolean hasJmsServer()

### getDestinationName

    java.lang.String getDestinationName()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDestinationName

    void setDestinationName(java.lang.String destinationName)

### hasDestinationName

    boolean hasDestinationName()

### getLocation

    java.lang.String getLocation()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLocation

    void setLocation(java.lang.String location)

### hasLocation

    boolean hasLocation()

### getDestinationDomain

    java.lang.String getDestinationDomain()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDestinationDomain

    void setDestinationDomain(java.lang.String domain)

### hasDestinationDomain

    boolean hasDestinationDomain()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD